#!/usr/bin/perl

#
#	If you *must* handle two arrays in a subroutine,
#	and you don't know how to use references,
#	then you must pass the length of each array
#	(first!) and then you can copy off the slices

use strict;

my @animals = qw(ant bee cat dog eel);
my @foods = qw(artichoke banana cumquat date);

handle_two_arrays(5, 4, @animals, @foods);

sub handle_two_arrays
{
	my $n1 = shift;
	my $n2 = shift;
	
	my @arr1 = @_[0..$n1 - 1];
	my @arr2 = @_[$n1..$n1 + $n2 - 1];
	print("The first array is @arr1\n");
	print("The second array is @arr2\n");	
}	
